%define upstream_name    Thread-IID
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Unique Interpreter IDs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Thread/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl-devel
%description
This provides an identifier to distinguish Perl interpreter instances. In environments like mod_perl2, where interpreters can be cloned and passed
around between OS threads, the thread ID gives no indication of which
interpreter instance is actually running and hence which corresponding set
of values/data-structures is actually being referenced. For such situations
the interpreter ID is more likely to be what you actually want.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-13.mga6
+ Revision: 1035188
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.40.0-12.mga6
+ Revision: 958121
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.40.0-11.mga6
+ Revision: 845355
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.40.0-10.mga6
+ Revision: 841412
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.40.0-9.mga5
+ Revision: 790298
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-8.mga5
+ Revision: 743173
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-7.mga5
+ Revision: 686675
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.40.0-6.mga5
+ Revision: 631813
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-5.mga4
+ Revision: 524554
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-4.mga4
+ Revision: 430975
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-3.mga3
+ Revision: 374260
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-2.mga3
+ Revision: 251241
- rebuild for perl 5.16

* Tue Feb 21 2012 kharec <kharec> 0.40.0-1.mga2
+ Revision: 211737
- update to 0.04

* Sun Dec 04 2011 kharec <kharec> 0.30.0-1.mga2
+ Revision: 175944
- update to 0.03

* Sun Dec 04 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 175936
- imported package perl-Thread-IID


* Sun Dec 04 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
